Blame SOURCES/0069-console-notifications-use-return-instead-of-exit.patch

06486d
From 8482a75bf58d5e68f4c63746cb27433954f1d54a Mon Sep 17 00:00:00 2001
06486d
From: Jakub Filak <jfilak@redhat.com>
06486d
Date: Thu, 9 Oct 2014 16:28:12 +0200
06486d
Subject: [ABRT PATCH 69/69] console-notifications: use return instead of exit
06486d
06486d
Thanks Ray Strode [halfline] <rstrode@redhat.com>
06486d
06486d
Related to rhbz#1150169
06486d
06486d
Signed-off-by: Jakub Filak <jfilak@redhat.com>
06486d
---
06486d
 src/cli/abrt-console-notification.sh | 10 +++++-----
06486d
 1 file changed, 5 insertions(+), 5 deletions(-)
06486d
06486d
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
06486d
index 849273c..38de7bb 100755
06486d
--- a/src/cli/abrt-console-notification.sh
06486d
+++ b/src/cli/abrt-console-notification.sh
06486d
@@ -1,13 +1,13 @@
06486d
-# If shell is not connect to a terminal, exit immediately, because this script
06486d
+# If shell is not connect to a terminal, return immediately, because this script
06486d
 # should print out ABRT's status and it is senseless to continue without
06486d
 # terminal.
06486d
-tty -s || exit 0
06486d
+tty -s || return 0
06486d
 
06486d
 # If $HOME is not set, a non human user is logging in to shell but this script
06486d
-# should provide information to human users, therefore exiting immediately
06486d
+# should provide information to human users, therefore returning immediately
06486d
 # without showing the notification.
06486d
 if [ -z "$HOME" ]; then
06486d
-    exit 0
06486d
+    return 0
06486d
 fi
06486d
 
06486d
 if [ -z "$ABRT_DEBUG_LOG" ]; then
06486d
@@ -19,7 +19,7 @@ SINCEFILE="$LPATHDIR/lastnotification"
06486d
 
06486d
 if [ ! -f "$LPATHDIR" ]; then
06486d
     # It might happen that user doesn't have write access on his home.
06486d
-    mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || exit 0
06486d
+    mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || return 0
06486d
 fi
06486d
 
06486d
 TMPPATH=`mktemp --tmpdir="$LPATHDIR" lastnotification.XXXXXXXX 2> "$ABRT_DEBUG_LOG"`
06486d
-- 
06486d
1.8.3.1
06486d